=== debian/tests/control ===
Test-Command: riscv64-unknown-elf-gcc -fno-stack-protector --specs=picolibc.specs -o /tmp/touch-risc-v debian/tests/touch.c
Depends: @, gcc-riscv64-unknown-elf
Architecture: amd64, i386, pcc64el

Test-Command: arm-none-eabi-gcc -fno-stack-protector --specs=picolibc.specs -o /tmp/touch-arm debian/tests/touch.c
Depends: @, gcc-arm-none-eabi
Architecture: amd64, i386, pcc64el

Test-Command: aarch64-linux-gnu-gcc -fno-stack-protector --specs=picolibc.specs -o /tmp/touch-aarch64 debian/tests/touch.c
Depends: @, gcc-arm-none-eabi
Architecture: amd64, i386, pcc64el
